:root {
    --bordercolor: rgba(225,225,225,0.8);
    --backgroundcolor: #886644;
    --altbackgroundcolor: #995533;
    --secbackgroundcolor: #442211;
    --fontcolor: white;
    --altfontcolor: #F99;
    --navfontcolor: white;
    --border: 2px solid var(--bordercolor);
}

@font-face {
    font-family: "state";
    src: url("fonts/Staatliches-Regular.ttf");
}

@font-face {
    font-family: "oswald";
    src: url("fonts/Oswald-VariableFont_wght.ttf");
}

*:not(h1, footer, header) {
    font-family: "oswald";
    font-weight: bold;
    border-radius: 12px;
}

body {
    background-color: var(--backgroundcolor);
    margin: 0px;
    display: grid;
    grid-template-columns: 15% 85%;
    height: 100%;
}

h1 {
    background-color: var(--secbackgroundcolor);
    margin: 0px 0px 36px 0px;
    line-height: 56px;
}

/* DEVICE-BASED SETTINGS */

@media only screen and (max-width: 459px) {
    nav a, .nav-menu-header {
        font-size: 14px !important;
    }

    body {
        grid-template-columns: 25% 75%;
    }

    h1 {
        font-size: 16px !important;
        line-height: 41px;
    }

    footer {
        font-size: 16px !important;
    }

    .map {
        font-size: 10px !important;
    }

    .descriptor-messagebox {
        text-align: left !important;
        width: 180px;
    }

    textarea {
        height: 200px !important;
    }
}

@media only screen and (min-width: 460px) and (max-width: 767px) {
    * {
        font-size: 12px !important;
    }

    body {
        grid-template-columns: 20% 80%;
    }

    nav a, .nav-menu-header {
        font-size: 20px !important;
    }

    h1 {
        font-size: 20px !important;
        line-height: 50px;
    }
}

@media only screen and (min-width: 1100px) {
    body {
        grid-template-columns: 10% 90%;
    }
}

@media only screen and (min-width: 1800px) {
    body {
        grid-template-columns: 7% 93%;
    }
}

@media only screen and (min-width: 2300px) {
    body {
        grid-template-columns: 5% 95%;
    }
}

div:not(.nav-menu-header) {
    background-color: var(--backgroundcolor);
    text-align: center;
    color: var(--fontcolor);
    font-size: 20px;
}

header {
    grid-row: 1 / span 2;
    background-color: var(--altbackgroundcolor);
    border-right: 2px solid var(--secbackgroundcolor);
    display: grid;
}

/* DEFAULT TABLE */

table {
    margin: 10px auto;
    border-radius: var(--border-radius);
}

th, h3 .bobas {
    background-color: var(--secbackgroundcolor);
    padding: 10px;
    color: var(--fontcolor);
}

th:hover {
    background-color: var(--altbackgroundcolor);
}

td {
    color: var(--fontcolor);
    text-align: left;
    background-color: var(--altbackgroundcolor);
    padding: 10px;
    border: 1px solid var(--secbackgroundcolor);
}

td:hover {
    background-color: #663322;
}

.message-table {
    width: 75%;
}

.message-table, .message-table tr, .message-table td {
    border: none;

}

.message-table-first-td {
    width: 150px;
}

/* NAVBAR */

.nav-menu-header {
    padding: 10px;
    background-color: var(--secbackgroundcolor);
    font-size: 24px;
    color: var(--fontcolor);
    text-align: center;
    margin: auto;
    margin-top: 0px;
    border-right: 1px solid var(--backgroundcolor);
    border-radius: 0px;
}

nav {
    background-color: var(--altbackgroundcolor);
    align-self: stretch;
    display: inline-block;
    width: 100%;
    height: 100%;
    grid-row: 1;
}

nav a {
    color: var(--navfontcolor);
    display: block;
    text-align: center;
    text-decoration: none;
    padding: 10px 10px;
    cursor: pointer;
    transition: color 0.8s,background-color 0.8s;
    font-family: "state";
    font-size: 24px;
    border: 2px solid rgba(0,0,0,0.0);
}

nav a:hover {
    color: var(--altfontcolor);
    background-color: #773322;
    text-decoration: underline;
}

.navCurrentPage {
    background-color: #663311;
    color: #BBB;
}

/* LINKS */

a {
    color: cyan;
    transition: color 0.5s;
    text-decoration: none;
}

a:hover {
    color: #0FF;
}

a:active {
    color: #00F;
}

.title {
    font-size: 30px;
}

footer {
    width: 100%;
    text-align: center;
    background-color: var(--secbackgroundcolor);
    color: white;
    font-size: 20px;
    padding: 10px 0px 10px 0px;
    grid-row: 2;
    grid-column: 2;
    align-self: end;
}

input {
    background-color: white;
    border: none;
    padding: 8px;
}

.inputfield {
    width: 225px;
}

.textinputfield {
    width: 95%;
    height: 500px;
    text-align: left;
}

.descriptor {
    width: 180px;
    display: inline-block;
    padding: 6px 20px;
    margin-top: 10px;
    text-align: left;
}

.descriptor-messagebox {
    display: inline-block;
    padding: 6px 20px;
    margin-top: 10px;
    text-align: center;
}

.formular {
    width: 240px;
}

textarea {
    display: block;
    width: 95%;
    height: 400px;
    padding: 6px;
    margin: auto;
    background-color: white;
}

.sendbutton {
    margin: 6px 20px;
    font-size: 24px;
    background-color: var(--altbackgroundcolor);
    color: var(--fontcolor);
    border: 1px solid var(--secbackgroundcolor);
    border-radius: 16px;
    cursor: pointer;
    padding: 12px;
    transition: background-color 1s;
}

.sendbutton:hover {
    background-color: var(--secbackgroundcolor);
}

.sendbutton:active {
    background-color: #221100;
}

.opening-hours {
    border: none;
    background: var(--secbackgroundcolor);
}

.content {
    background-color: var(--altbackgroundcolor);
    text-align: left;
    align-self: stretch;
}

.social {
    list-style-type: none;
}

.map {
    grid-row: 2;
    align-self: end;
    font-size: 16px;
    padding: 10px;
    color: white;
    text-align: center;
}

.tastes, .bobas {
    display: inline-block;
    margin: 12px 1px 12px 1px;
    vertical-align: top;
}

.prices {
    text-align: right;
}